<?php

require_once 'config.php';

if (!empty($_GET['clear'])) {
    $_SESSION = array();
}

if (!empty($_GET['connect'])) {
    if (in_array($_GET['provider'], array('Google', 'Facebook', 'Live'))) {
        $_SESSION['provider'] = $_GET['provider'];
        OAuth2Consumer::getInstance($_SESSION['provider'])->authorize();
    }
}

?>

<div>
    <h2>Facebook OAuth 2.0 API</h2>

    <?php if (empty($_SESSION['Facebook']['access_token'])): ?>
        <a href="index.php?connect=1&provider=Facebook">Connect to Facebook</a>
    <?php else: 
            try {
                $oauth = OAuth2Consumer::getInstance('Facebook');
                $oauth->setVariable('access_token', $_SESSION['Facebook']['access_token']);

                // Call api as much as you want
                $data = $oauth->api('me');
                printf('<pre>%s</pre>', var_export($data, true));

            } catch (Exception $e) {
                echo $e->getMessage();
            }
        ?>


    <?php endif; ?>
</div>

<div>
    <h2>Google OAuth 2.0 API</h2>

    <?php if (empty($_SESSION['Google']['access_token'])): ?>
        <a href="index.php?connect=1&provider=Google">Connect to Google</a>
    <?php else:
            try {
                $oauth = OAuth2Consumer::getInstance('Google');
                $oauth->setVariable('access_token', $_SESSION['Google']['access_token']);

                // Call api as much as you want
                $data = $oauth->api('https://www.googleapis.com/oauth2/v1/userinfo');
                printf('<pre>%s</pre>', var_export($data, true));

            } catch (Exception $e) {
                echo $e->getMessage();
            }
        ?>


    <?php endif; ?>
</div>

<div>
    <h2>Windows Live OAuth 2.0 API</h2>

    <?php if (empty($_SESSION['Live']['access_token'])): ?>
        <a href="index.php?connect=1&provider=Live">Connect to Windows Live</a>
    <?php else:
            try {
                $oauth = OAuth2Consumer::getInstance('Live');
                $oauth->setVariable('access_token', $_SESSION['Live']['access_token']);

                // Call api as much as you want
                $data = $oauth->api('me');
                printf('<pre>%s</pre>', var_export($data, true));

            } catch (Exception $e) {
                echo $e->getMessage();
            }
        ?>


    <?php endif; ?>
</div>

<h2>Clear All</h2>
<a href="index.php?clear=1">Clear Session</a>